<div class="product-sales-area">
  <div class="container-fluid custom_container_fluid_padding">
      <div class="row">
          <div class="col-sm-12">
              <h4 class="page-title">Add/Edit Metadata</h4>
          </div>
      </div>
      <div class="row">
          <div class="col-lg-12">
              <div class="card-box">

                 <div class="row">
                     <div class="col-md-3">
                         <div class="form-group">
                              <label class="pop_label">Select Category</label>
                              <!-- <input type="text" class="form-control" placeholder="Enter Category Name"> -->
                              <!-- <select class="form-control" disabled="disabled">
                                  <option>Select from list</option>
                                  <option selected="selected">Graphics & Design</option>
                                  <option>Digital Marketing</option>
                                  <option>Writing & Translation</option>
                                  <option>Video & Animation</option>
                                  <option>Music & Audio</option>
                              </select> -->
                              <select class="form-control" [(ngModel)]="getCategory.id" (change)="getsubCategory_list(getCategory.id)" [disabled]="editMode==true">
                                <option value="0">Select from list</option>
                                <option *ngFor="let option of catgory_list" value={{option.id}}>
                               {{option.category_name}}
                              </option>
                            </select>
                          </div>
                     </div>
                     <div class="col-md-3">
                         <div class="form-group">
                              <label class="pop_label">Sub Category Name</label>
                              <!-- <input type="text" class="form-control" placeholder="Enter Sub Category Name"> -->
                              <!-- <select class="form-control" disabled="disabled">
                                  <option>Select from list</option>
                                  <option selected="selected">Logo Design</option>
                                  <option>SEO</option>
                                  <option>Articles & Blog Posts</option>
                                  <option>Video Editing</option>
                                  <option>Online Music Lessons</option>
                              </select> -->
                              <select class="form-control" [(ngModel)]="getsubCategory.id"(change)="onSubCategoryChange()" [disabled]="editMode==true">
                                <option value="0">Select from list</option>
                                <option *ngFor="let option of subCatgory_list" value={{option.id}}>
                               {{option.sub_category_name}}
                              </option>
                            </select>
                          </div>
                     </div>
                     
                 </div>
                 <div class="row metadata_btn_action">
                     <div class="col-md-3">
                         <div class="form-group">
                              <label class="pop_label">Metadata Type</label>
                              <div>
                                  <select class="form-control" [(ngModel)]="getMetadataStyle.id" name="style"  (change)="onMetaDataTypeChange()">
                                    <option value="0">Select Type</option>
                                    <option *ngFor="let option of metadata_Subtype_list.mataData" value={{option.metadata_type.id}}>
                                        {{option.metadata_type.metadata_type_name}}
                                    </option>
                                </select> 
                              </div>
                          </div>
                     </div>
                     <div class="col-md-3">
                      <label class="pop_label">&nbsp;</label>
                          <button  title="Add" class="btn btn-info btn-sm metadata_add_btn" [disabled]="getsubCategory.id==0" style="color: white;" data-toggle="modal" data-target="#add_metadata_pop" (click)="onMetadata_AddPlusBtn()"><i class="fa fa-plus"></i> Meta Data</button>
                     </div>
                 </div>

                 <div class="row" style="margin-top: 15px;margin-bottom: 15px;" *ngIf="showMetaDataDetails==true">
                     <div class="col-md-12 Add_edit_showMetadataDetails_xs" style="display: inline-flex;">
                         <div class="form-group" style="margin-right: 15px;">
                              <input class="styled-checkbox" id="styled-checkbox-441" type="checkbox" value="value441" [(ngModel)]="allowMultiple">
                              <label for="styled-checkbox-441">Allow Multiple Selection</label>
                          </div>
                          <div class="form-group" style="margin-right: 15px;">
                            <input class="styled-checkbox" id="styled-checkbox-442" type="checkbox" value="value442" [(ngModel)]="is_mandatory">
                            <label for="styled-checkbox-442">Mandatory</label>
                        </div>
                        <div class="form-group" style="margin-right: 15px;">
                            <input class="styled-checkbox" id="styled-checkbox-443" type="checkbox" value="value443" [(ngModel)]="allow_suggest">
                            <label for="styled-checkbox-443">Allow Suggest Others</label>
                        </div>
                     </div>
                 </div>

                  <!-- <div class="row">
                      <div class="col-md-6">
                          <div class="custom_tab" >
                              <ul class="nav nav-tabs" id="myTab" role="tablist">
                                <li class="nav-item active">
                                  <a class="nav-link " data-toggle="tab" href="#STYLE" role="tab" aria-controls="STYLE">STYLE</a>
                                </li>
                                <li class="nav-item">
                                  <a class="nav-link" data-toggle="tab" href="#FILE_FORMAT" role="tab" aria-controls="FILE_FORMAT">FILE FORMAT</a>
                                </li>
                              </ul>

                              <div class="tab-content">
                                <div class="tab-pane active" id="STYLE" role="tabpanel">
                                  <h5>Select the style of the logo you design:</h5>
                                  <div class="row">
                                      <div class="col-md-12">
                                          <div class="">
                                              <label class="radio">Not Defined 
                                                <input type="radio" name="Styles" value="Not Defined" checked="checked">
                                                <span class="checkround"></span>
                                              </label>
                                          </div>
                                          <div class="">
                                              <label class="radio">3D 
                                                <input type="radio" name="Styles" value="3D">
                                                <span class="checkround"></span>
                                              </label>
                                          </div>
                                          <div class="">
                                              <label class="radio">Versatile 
                                                <input type="radio" name="Styles" value="Versatile">
                                                <span class="checkround"></span>
                                              </label>
                                          </div>
                                          <div class="">
                                              <label class="radio">Vintage/Retro 
                                                <input type="radio" name="Styles" value="Vintage/Retro">
                                                <span class="checkround"></span>
                                              </label>
                                          </div>
                                          <div class="">
                                              <label class="radio">Hand-Drawn 
                                                <input type="radio" name="Styles" value="Hand-Drawn">
                                                <span class="checkround"></span>
                                              </label>
                                          </div>
                                          <div class="">
                                              <label class="radio">Mascot/Cartoon 
                                                <input type="radio" name="Styles" value="Mascot/Cartoon">
                                                <span class="checkround"></span>
                                              </label>
                                          </div>
                                          <div class="">
                                              <label class="radio">Flat/Minimalist 
                                                <input type="radio" name="Styles" value="Flat/Minimalist">
                                                <span class="checkround"></span>
                                              </label>
                                          </div>

                                          <div class="">
                                              <label class="radio">Watercolor/Feminine 
                                                <input type="radio" name="Styles" value="Watercolor/Feminine">
                                                <span class="checkround"></span>
                                              </label>
                                          </div><div class="">
                                              <label class="radio">Signature 
                                                <input type="radio" name="Styles" value="Signature">
                                                <span class="checkround"></span>
                                              </label>
                                          </div>
                                      </div>
                                  </div>
                                  <div class="row">
                                      <div class="col-md-12">
                                          <hr>
                                      </div>
                                  </div>
                                  
                                  <div class="row">
                                      <div class="col-md-12">
                                          <div style="white-space: nowrap;">
                                              <input class="styled-checkbox Suggest_chekbox" id="styled-checkbox-150" type="checkbox" name="colorCheckbox" value="Suggest_Other">
                                              <label for="styled-checkbox-150">Suggest other</label>
                                          </div>
                                          <div class="Suggest_div Suggest_Other box">
                                              <input type="text" class="form-control form_control_border_radius" />
                                              <p style="margin-bottom: 0px;font-size: 12px;text-align: right;">Save your gig to submit</p>
                                          </div>
                                      </div>
                                  </div>
                                  <div class="row">
                                      <div class="col-md-12 text-right">
                                          <a href="#" class="btn btn-info btn-sm custom_btn_css">Edit</a>
                                          <a href="#" class="btn btn-danger btn-sm custom_btn_css">Remove</a>
                                      </div>
                                  </div>
                                </div>
                                <div class="tab-pane" id="FILE_FORMAT" role="tabpanel">
                                  <h5>Select the file formats you provide in your basic Gig or Extras</h5>
                                  <div class="row">
                                      <div class="col-md-12">
                                          <div class="form-group">
                                              <input class="styled-checkbox" id="styled-checkbox-451" type="checkbox" value="value451">
                                              <label for="styled-checkbox-451">AI</label>
                                          </div>
                                          <div class="form-group">
                                              <input class="styled-checkbox" id="styled-checkbox-452" type="checkbox" value="value452">
                                              <label for="styled-checkbox-452">PNG</label>
                                          </div>
                                          <div class="form-group">
                                              <input class="styled-checkbox" id="styled-checkbox-453" type="checkbox" value="value453">
                                              <label for="styled-checkbox-453">JPG</label>
                                          </div>
                                          <div class="form-group">
                                              <input class="styled-checkbox" id="styled-checkbox-454" type="checkbox" value="value454">
                                              <label for="styled-checkbox-454">PDF</label>
                                          </div>
                                          <div class="form-group">
                                              <input class="styled-checkbox" id="styled-checkbox-455" type="checkbox" value="value455">
                                              <label for="styled-checkbox-455">PSD</label>
                                          </div>
                                          <div class="form-group">
                                              <input class="styled-checkbox" id="styled-checkbox-456" type="checkbox" value="value456">
                                              <label for="styled-checkbox-456">EPS</label>
                                          </div>
                                          <div class="form-group">
                                              <input class="styled-checkbox" id="styled-checkbox-457" type="checkbox" value="value457">
                                              <label for="styled-checkbox-457">CDR</label>
                                          </div>
                                          <div class="form-group">
                                              <input class="styled-checkbox" id="styled-checkbox-458" type="checkbox" value="value458">
                                              <label for="styled-checkbox-458">SVG</label>
                                          </div>
                                      </div>
                                  </div>
                                  <div class="row">
                                      <div class="col-md-12 text-right">
                                          <a href="#" class="btn btn-info btn-sm custom_btn_css option_edit_btn">Edit</a>
                                          <a href="#" class="btn btn-danger btn-sm custom_btn_css">Remove</a>
                                      </div>
                                  </div>
                                </div>
                              </div>
                          </div>
                      </div>
                  </div> -->
                  <div class="row metadata_div" *ngIf="showMetaDataDetails==true">
                    <div class="col-md-12">
                      <h5>GIG METADATA</h5>
                    </div>
                    <div class="col-md-12">
                      <div class="custom_tab">
                        <ul class="nav nav-tabs" id="myTab" role="tablist">
                          <ng-container *ngFor="let item of metadata_Subtype_list.mataData;let i = index">
                            <li class="nav-item">
                              <a [attr.class]="i==0?'nav-link active':'nav-link'" data-toggle="tab"
                                [attr.href]="('#meta_data_type-'+item.id)" role="tab"
                                [attr.aria-controls]="('meta_data_type-'+item.id)"
                                >{{item.metadata_type.metadata_type_name}}</a>
                                <div class="show_action_button_on_hover">
                                  <i class="fa fa-pencil tab_edit_icon" (click)="onEditMetadataTypeClick(item.metadata_type.id)" style="color: #59baff;cursor: pointer;"></i>
                                  <i class="fa fa-times tab_cross_icon" (click)="onRemoveMetadataTypeClick(item.id)" style="color: #ff7d7d;margin-left: 7px;cursor: pointer;"></i>
                              </div>
                            </li>
                          </ng-container>
                        </ul>

                        <div class="tab-content">
                          <ng-container *ngFor="let itemData of metadata_Subtype_list.mataData;let i = index">
                            <div [attr.class]="i==0?'tab-pane active':'tab-pane'" id="{{'meta_data_type-'+itemData.id}}"
                              role="tabpanel">
                              <h5>Select the {{itemData.metadata_type.metadata_type_name}} of the
                                {{getsubCategory.sub_category_name}}:</h5>
                              <div class="row">
                                <div class="col-md-12 noPadding_mobile">
                                  <div class=""
                                    *ngFor="let item_metadata_dtl of itemData.metadata_type_details;let j = index">
                                    <ng-container *ngIf="itemData.is_single==true">
                                      <label class="radio">{{item_metadata_dtl?.metadata_type_dtl?.metadata_type_name}}
                                        <input type="radio" [name]="itemData.id" value="{{item_metadata_dtl.id}}"
                                          [(ngModel)]="item_metadata_dtl.checked_value">
                                        <span class="checkround"></span>
                                      </label>
                                    </ng-container>
                                    <ng-container *ngIf="itemData.is_single==false">
                                      <input type="checkbox" class="styled-checkbox Suggest_chekbox"
                                        [name]="'is_tick_metaType_'+item_metadata_dtl.id" checked="checked"
                                        [(ngModel)]="item_metadata_dtl.checked_value"  
                                        id="{{'is_tick_metaType_id_'+item_metadata_dtl.id}}">
                                      <label
                                        for="{{'is_tick_metaType_id_'+item_metadata_dtl.id}}">{{item_metadata_dtl?.metadata_type_dtl?.metadata_type_name}}</label>
                                    </ng-container>
                                    <ng-container
                                      *ngIf="itemData?.is_suggest_other==true && itemData.metadata_type_details?.length==(j+1)">
                                      <div class="row">
                                        <div class="col-md-12">
                                          <hr>
                                        </div>
                                      </div>
                                      <div class="row">
                                        <div class="col-md-12 noPadding_mobile">
                                          <div style="white-space: nowrap;">
                                            <input class="styled-checkbox Suggest_chekbox" type="checkbox"
                                              [name]="'suggestOther_'+itemData.id" 
                                              id="{{'suggestOther_id'+itemData.id}}">
                                            <label for="{{'suggestOther_id'+itemData.id}}" style="z-index: 1;">Suggest
                                              other</label>
                                          </div>
                                        </div>
                                      </div>
                                    </ng-container>
                                    <div class="row" *ngIf="itemData.metadata_type_details?.length==(j+1)">
                                      <div class="col-md-12 text-right noPadding_mobile btns_mobile_xs">
                                          <a href="javascript:void(0)" class="btn btn-info btn-sm custom_btn_css" (click)="onEditMetadataTypeClick(itemData.metadata_type.id)">Edit</a>
                                          <a href="javascript:void(0)" class="btn btn-danger btn-sm custom_btn_css" style="margin-left:5px;" (click)="onRemoveMetadataTypeClick(itemData.id)">Remove</a>
                                      </div>
                                  </div>
                                  </div>
                                </div>
                              </div>
                            </div>
                         
                          </ng-container>
                         
                        </div>
                      </div>
                    </div>
                  </div>
                  
                  <div class="row">
                      <div class="col-md-12 text-left form-group">
                          <a href="javascript:void(0)" class="btn btn-info btn-sm custom_btn_css" *ngIf="editMode==true" (click)="update_Subcategory_Metadata()">Update</a>
                          <a href="javascript:void(0)" class="btn btn-success btn-sm custom_btn_css" *ngIf="editMode==false" (click)="update_Subcategory_Metadata()">Add</a>
                          <!-- <a href="javascript:void(0)" class="btn btn-success btn-sm custom_btn_css" (click)="addMetadata()">Add</a> -->
                      </div>
                  </div>

              </div>
          </div>
      </div>
  </div>
</div>

<!-- Delete Modal Start -->
<div id="delete_record" class="modal fade" role="dialog" style="z-index: 9999999;">
    <div class="modal-dialog custom_modal_dialog">
      <div class="modal-content">
        <div class="modal-header">
            <h5 class="modal-title" style="color: white;">Confirm Delete</h5>
            <button type="button" class="close" data-dismiss="modal">&times;</button>
        </div>
        <div class="modal-body">
          <div class="row">
              <div class="col-md-12 noPadding_mobile">
                  <h5 style="font-weight: 500;">Do you really want to delete this record?</h5>
              </div>
          </div>
          <div class="row">
              <div class="col-md-12 text-right noPadding_mobile">
                  <a href="javascript:void(0)" (click)="onConfirmDeleteMetaType()" class="btn btn-danger btn-sm custom_btn_css custom_delete_record_btn">Delete</a>
              </div>
          </div>
        </div>
      </div>
    </div>
  </div>
  <!-- Delete Modal End -->
  <!-- Delete Metadata type modal Start -->
<div id="delete_record_MetadataType" class="modal fade" role="dialog">
  <div class="modal-dialog custom_modal_dialog">
    <div class="modal-content">
      <div class="modal-header">
          <h5 class="modal-title" style="color: white;">Confirm Delete</h5>
          <button type="button" class="close" data-dismiss="modal">&times;</button>
      </div>
      <div class="modal-body">
        <div class="row">
            <div class="col-md-12 noPadding_mobile">
                <h5 style="font-weight: 500;">Do you really want to delete this record?</h5>
            </div>
        </div>
        <div class="row">
            <div class="col-md-12 text-right noPadding_mobile">
                <a href="javascript:void(0)" (click)="onConfirmRemoveMetadataTypeClick()" class="btn btn-danger btn-sm custom_btn_css custom_delete_record_btn">Delete</a>
            </div>
        </div>
      </div>
    </div>
  </div>
</div>
 <!-- Delete Metadata type modal End -->
  <!-- Add Metadata Modal Start -->
  <div id="add_metadata_pop" class="modal fade" role="dialog">
    <div class="modal-dialog custom_modal_dialog">
      <div class="modal-content" style="width:420px">
        <div class="modal-header">
          <h5 class="modal-title" style="color:#fff;">Add Metadata</h5>
          <button type="button" class="close" data-dismiss="modal" (click)="onCloseAddMetadataPop()">&times;</button>
        </div>
        <div class="modal-body" style="height:500px;overflow: auto;">
          <div class="row">
              <div class="col-md-8 col-xs-10 noPadding_mobile">
                 <div class="form-group">
                      <label class="pop_label">Metadata Type</label>
                      <div>
                          <!-- <select class="form-control">
                              <option>Select from list</option>
                              <option selected="selected">Style</option>
                              <option>File Format</option>
                          </select> -->
                          <select class="form-control" [(ngModel)]="getMetadataStyle_onPop.id" name="style"
                           (change)="onChangeMetadata_Type()">
                            <option value="0">Select Type</option>
                            <option *ngFor="let option of metadata_type_forPop" value={{option.id}}>
                                {{option.metadata_type_name}}
                            </option>
                        </select> 
                      </div>
                     
                  </div>
              </div>
              <div class="col-md-4 col-xs-2 noPadding_mobile mobile_align_right">
                  <label class="pop_label">&nbsp;</label> 
                  <a href="javascript:void(0)" title="Add" class="btn btn-info btn-sm metadata_add_btn add_MetadataType_click" data-toggle="modal" data-target="#addEdit_metadata_new" (click)="openAddMetadataPop()" *ngIf="getMetadataStyle_onPop.id==0"><i class="fa fa-plus"></i></a>
                  <a href="javascript:void(0)" title="Edit" class="btn btn-primary btn-sm metadata_edit_btn add_MetadataType_click" data-toggle="modal" data-target="#addEdit_metadata_new" (click)="openEditMetadataPop()" *ngIf="getMetadataStyle_onPop.id>0"><i class="fa fa-pencil"></i></a>
                  <!-- <a href="#" title="Delete" data-toggle="modal" data-target="#delete_record" class="btn btn-danger btn-sm metadata_delete_btn delete_click"><i class="fa fa-close"></i></a> -->
              </div>
          </div>

          <div class="row" style="margin-top: 15px;">
             <div class="col-md-7 noPadding_mobile">
                 <div class="">
                      <input class="styled-checkbox" id="styled-checkbox-461" type="checkbox" value="value461" name="PopallowMultiple" [(ngModel)]="PopallowMultiple">
                      <label for="styled-checkbox-461">Allow Multiple Selection</label>
                  </div>
             </div>
             <div class="col-md-5 noPadding_mobile">
                 <div class="">
                      <input class="styled-checkbox" id="styled-checkbox-462" type="checkbox" value="value462" name="PopIsmandatory" [(ngModel)]="PopIsmandatory">
                      <label for="styled-checkbox-462">Mandatory</label>
                  </div>
             </div>
             <div class="col-md-6 noPadding_mobile">
                 <div class="form-group">
                      <input class="styled-checkbox" id="styled-checkbox-463" type="checkbox" value="value463" name="PopIssuggest" [(ngModel)]="PopIssuggest">
                      <label for="styled-checkbox-463">Allow Suggest Others</label>
                  </div>
             </div>
          </div>
          <div class="row option_row" style="margin-top: 5px;" *ngIf="getMetadataStyle_onPop.id>0">
              <div class="col-md-12 noPadding_mobile">
                  <div class="table-responsive">
                      <table class="table table-striped">
                          <thead>
                              <tr>
                                  <th>Options</th>
                                  <th class="text-right" style="width: 20%;">Action</th>                                                   
                              </tr>
                          </thead>
                          <tbody id="myTable">
                              <ng-container *ngIf="metadata_Style_list_forPop?.result==null || metadata_Style_list_forPop?.result==undefined || metadata_Style_list_forPop?.result?.length>0 ">
                            <ng-container *ngFor="let item of metadata_Style_list_forPop?.result">
                              <tr>
                                  <td>
                                      <!-- <span>{{item.metadata_type.metadata_type_name}}</span> -->
                                      <span>{{item.metadata_type_name}}</span>
                                  </td>
                                  <td class="text-right">
                                      <a href="javaScript:void(0)" title="Edit" class="option_edit_click"><i class="fa fa-pencil edit_icon" (click)="onPencilBtn_openStyleTextbox(item.id)"></i></a>
                                      <a href="javaScript:void(0)" title="Delete" data-toggle="modal" (click)="onDeleteMetaType(item.id,item.seq_no)"><i class="fa fa-close delete_icon"></i></a>
                                  </td>
                              </tr>
                              <tr *ngIf="item.showTextBox==true">
                                  <td>
                                      <div style="display: flex;">
                                          <input type="text" class="form-control" [name]="'meta_data_name_'+item.id" [(ngModel)]="item.txt_metadata_type_name"  style="margin-right: 10px;" />
                                      </div>
                                      <span class="error_msg" *ngIf="showDuplicacymsgEdit==true">
                                          This option is already exist against this Metadata type.
                                      </span>
                                  </td>
                                  <td class="text-right">
                                      <a href="javaScript:void(0)" title="Add" class="option_edit_click" style="color: #5bc0de;font-size: 16px;"><i class="fa fa-plus" (click)="onEditoptionList_metadata(item.id,item.txt_metadata_type_name)"></i></a>
                                      <a href="javaScript:void(0)" title="Undo" (click)="onClickUndo(item.id)"><i class="fa fa-undo delete_icon" style="color: #45e690;font-size: 16px;"></i></a>
                                  </td>
                              </tr>
                           
                            </ng-container>
                        </ng-container>
                              <tr>
                                  <td colspan="2">
                                     <div style="display: flex;">
                                          <input type="text" class="form-control" [(ngModel)]="txtNew_metadata_type_name" name="txtNew_metadata_type_name" placeholder="Enter Metadata Option" style="margin-right: 10px;" />
                                          <a href="javaScript:void(0)" title="Add" class="option_edit_click" (click)="addNewsubType()" style="color: #5bc0de;font-size: 16px;line-height: 2;"><i class="fa fa-plus"></i></a>
                                      </div> 
                                      <span class="error_msg" *ngIf="showDuplicacyMsg==true">
                                          This option is already exist against this Metadata type.
                                      </span>
                                  </td>
                              </tr>
                            
                          </tbody>
                      </table>
                  </div>
              </div>
          </div>


          <div class="row">
              <div class="col-md-12 text-right noPadding_mobile">
                  <!-- <a href="javascript:void(0)" class="btn btn-info btn-sm custom_btn_css custom_delete_record_btn">Submit</a> -->
                  <a href="javascript:void(0)" (click)="submitAndUpdateMasterClick()" class="btn btn-success btn-sm custom_btn_css custom_delete_record_btn">Submit & Update Master</a>
              </div>
          </div>
        </div>
      </div>
    </div>
  </div>
  <!-- Add Metadata Modal End -->

  <!-- AddEdit Metadata Modal Start -->
  <div id="addEdit_metadata_new" class="modal fade" data-backdrop="false" role="dialog">
    <div class="modal-dialog custom_modal_dialog">
      <div class="modal-content">
        <div class="modal-header">
            <h5 class="modal-title" style="color: white;">Add/Edit Metadata Type</h5>
          <button type="button" class="close cancel_metadata_addEdit_click" data-dismiss="modal">&times;</button>
        </div>
        <div class="modal-body">
          <div class="row">
              <div class="col-md-12 noPadding_mobile">
                  <label class="pop_label">Metadata Type</label>
                  <input type="text" class="form-control" placeholder="Enter Metadata Option" [(ngModel)]="metadata_type_newlyadded" name="metadata_type_newlyadded" />
                  <span class="error_msg"
                  *ngIf="checkcuscheckMetadataTypoeNewtomAdd && (metadata_type_newlyadded==null || metadata_type_newlyadded==undefined || metadata_type_newlyadded.trim()=='')">
                  Please enter metadata type.
                </span>
                <span class="error_msg"
                *ngIf="showDuplicacyAddMetadataType==true">
                This metadata type is already exist.
              </span>
              </div>
          </div>
          <div class="row" style="margin-top: 15px;">
            <div class="col-md-7 noPadding_mobile">
                <div class="">
                     <input class="styled-checkbox" id="styled-checkbox-461New" type="checkbox"  name="allowMultiple_addMetadata" [(ngModel)]="allowMultiple_addMetadata">
                     <label for="styled-checkbox-461New">Allow Multiple Selection</label>
                 </div>
            </div>
            <div class="col-md-5 noPadding_mobile">
                <div class="">
                     <input class="styled-checkbox" id="styled-checkbox-462New" type="checkbox" name="ismandatory_addmetadata" [(ngModel)]="ismandatory_addmetadata">
                     <label for="styled-checkbox-462New">Mandatory</label>
                 </div>
            </div>
            <div class="col-md-6 noPadding_mobile">
                <div class="form-group">
                     <input class="styled-checkbox" id="styled-checkbox-463New" type="checkbox"  name="issuggest_addmetadata" [(ngModel)]="issuggest_addmetadata">
                     <label for="styled-checkbox-463New">Allow Suggest Others</label>
                 </div>
            </div>
         </div>
          <div class="row">
              <div class="col-md-12 text-right noPadding_mobile">
                  <a href="javascript:void(0)" class="btn btn-success btn-sm custom_btn_css custom_delete_record_btn" (click)="addmetadatatypeClick()" *ngIf="getMetadataStyle_onPop.id==0">Add</a>
                  <a href="javascript:void(0)" class="btn btn-success btn-sm custom_btn_css custom_delete_record_btn" (click)="updatemetadatatypeClick()" *ngIf="getMetadataStyle_onPop.id>0" style="margin-left:5px;">Update</a>
                  <a href="javascript:void(0)" class="btn btn-secondary btn-sm custom_btn_css custom_delete_record_btn cancel_metadata_addEdit_click" (click)="cancelnewmetadataTypePop()" data-dismiss="modal" style="margin-left:5px;">Cancel</a>
              </div>
          </div>
        </div>
      </div>
    </div>
  </div>
  <!-- AddEdit Metadata Modal End -->
